<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('karyawans', function (Blueprint $table) {
    $table->id();
    $table->foreignId('user_id')->constrained('users')->cascadeOnDelete();
    $table->foreignId('instansi_id')->constrained('instansis');
    $table->foreignId('jabatan_id')->constrained('jabatans');
    $table->foreignId('jam_kerja_id')->constrained()->onDelete('cascade');
    $table->string('nip')->unique();
    $table->string('nama');
    $table->string('no_hp')->nullable();
    $table->text('alamat')->nullable();
    $table->timestamps();
});

    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('karyawans');
    }
};
